define('environment',["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = {
    debug: true,
    testing: true
  };
});
define('main',['exports', './startup/_startup'], function (exports, _startup) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.configure = configure;
  function configure(aurelia) {
    var startup = new _startup.Startup();
    startup.init(aurelia);
  }
});
define('config/config.app',["exports"], function (exports) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.default = {
        title: "Aurelia Skeleton",
        apiBaseUrl: "data",
        root: "layouts/layout-main",
        routeUrl: "config.routes.json",
        pushState: false,
        viewStrategy: {
            viewModelResolve: "customFolder",
            viewModelBasePath: "viewmodels/"
        },
        configUrl: null
    };
});
define('config/config.routes',['exports'], function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = [{
    route: ['', 'viewmodels/welcome'],
    name: 'viewmodels/welcome',
    moduleId: 'viewmodels/welcome',
    nav: true,
    title: 'Welcome'
  }, {
    route: 'viewmodels/gridremote',
    name: 'viewmodels/gridremote',
    moduleId: 'viewmodels/gridremote',
    nav: true,
    title: 'Grid Remote'
  }, {
    route: 'viewmodels/fonts',
    name: 'viewmodels/fonts',
    moduleId: 'viewmodels/fonts',
    nav: true,
    title: 'Font Test'
  }, {
    route: 'viewmodels/gridquery',
    name: 'viewmodels/gridquery',
    moduleId: 'viewmodels/gridquery',
    nav: true,
    title: 'Grid Query'
  }, {
    route: 'viewmodels/errorhandlertest',
    name: 'viewmodels/errorhandlertest',
    moduleId: 'viewmodels/errorhandlertest',
    nav: true,
    title: 'Error Handler Test'
  }];
});
define('resources/index',["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.configure = configure;
  function configure(config) {}
});
define('services/errorhandler',["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var UndandledErrorHandler = exports.UndandledErrorHandler = function () {
    function UndandledErrorHandler() {
      _classCallCheck(this, UndandledErrorHandler);
    }

    _createClass(UndandledErrorHandler, null, [{
      key: "init",
      value: function init() {
        window.addEventListener('unhandledrejection', function (e) {
          event.preventDefault();
          var reason = e.detail.reason;
          var promise = e.detail.promise;
          var stack = event.detail.reason.stack;

          console.log(e.detail.reason.message);
        });

        window.addEventListener("rejectionhandled", function (e) {
          e.preventDefault();

          var reason = e.detail.reason;
          var promise = e.detail.promise;
        });

        window.onerror = function (msg, url, lineNo, columnNo, error) {
          var string = msg.toLowerCase();
          var substring = "script error";
          if (string.indexOf(substring) > -1) {
            alert('Script Error: See Browser Console for Detail');
          } else {
            var message = ['Message: ' + msg, 'URL: ' + url, 'Line: ' + lineNo, 'Column: ' + columnNo, 'Error object: ' + JSON.stringify(error)].join(' - ');
            alert(message);
          }
          return false;
        };
      }
    }]);

    return UndandledErrorHandler;
  }();
});
define('services/logger',['exports', 'aurelia-framework'], function (exports, _aureliaFramework) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.log = exports.CustomLogAppender = undefined;

  var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
    return typeof obj;
  } : function (obj) {
    return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
  };

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var CustomLogAppender = exports.CustomLogAppender = function () {
    function CustomLogAppender() {
      _classCallCheck(this, CustomLogAppender);
    }

    _createClass(CustomLogAppender, [{
      key: 'debug',
      value: function debug(logger, message) {
        var _console;

        for (var _len = arguments.length, rest = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
          rest[_key - 2] = arguments[_key];
        }

        (_console = console).debug.apply(_console, ['DEBUG [' + logger.id + '] ' + message].concat(rest));
      }
    }, {
      key: 'info',
      value: function info(logger, message) {
        var _console2;

        for (var _len2 = arguments.length, rest = Array(_len2 > 2 ? _len2 - 2 : 0), _key2 = 2; _key2 < _len2; _key2++) {
          rest[_key2 - 2] = arguments[_key2];
        }

        (_console2 = console).info.apply(_console2, ['INFO [' + logger.id + '] ' + message].concat(rest));
      }
    }, {
      key: 'warn',
      value: function warn(logger, message) {
        var _console3;

        for (var _len3 = arguments.length, rest = Array(_len3 > 2 ? _len3 - 2 : 0), _key3 = 2; _key3 < _len3; _key3++) {
          rest[_key3 - 2] = arguments[_key3];
        }

        (_console3 = console).warn.apply(_console3, ['WARN [' + logger.id + '] ' + message].concat(rest));
      }
    }, {
      key: 'error',
      value: function error(logger, message) {
        var _console4;

        if ((typeof message === 'undefined' ? 'undefined' : _typeof(message)) === 'object') {
          console.log(message);
        }

        for (var _len4 = arguments.length, rest = Array(_len4 > 2 ? _len4 - 2 : 0), _key4 = 2; _key4 < _len4; _key4++) {
          rest[_key4 - 2] = arguments[_key4];
        }

        (_console4 = console).error.apply(_console4, ['ERROR [' + logger.id + '] ' + message].concat(rest));
      }
    }]);

    return CustomLogAppender;
  }();

  var log = exports.log = _aureliaFramework.LogManager.getLogger('APP');
});
define('layouts/layout-main',['exports', '../startup/routes', 'bootstrap'], function (exports, _routes) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.App = undefined;

  var _routes2 = _interopRequireDefault(_routes);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var App = exports.App = function () {
    _createClass(App, [{
      key: 'configureRouter',
      value: function configureRouter(config, router) {
        config.title = 'Aurelia';
        config.map(_routes2.default);
        config.mapUnknownRoutes("viewmodels/notfound");
        this.router = router;
      }
    }]);

    function App() {
      _classCallCheck(this, App);

      this.items = [{
        title: "Charmander",
        text: "Obviously prefers hot places. When it rains, steam is said to spout from the tip of its tail."
      }, {
        title: "Squirtle",
        text: "After birth, its back swells and hardens into a shell. Powerfully sprays foam from its mouth."
      }, {
        title: "Bulbasaur",
        text: "A strange seed was planted on its back at birth. The plant sprouts and grows with this POKéMON."
      }];
    }

    return App;
  }();
});
define('layouts/nav-bar',['exports', 'aurelia-framework'], function (exports, _aureliaFramework) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.NavBar = undefined;

  function _initDefineProp(target, property, descriptor, context) {
    if (!descriptor) return;
    Object.defineProperty(target, property, {
      enumerable: descriptor.enumerable,
      configurable: descriptor.configurable,
      writable: descriptor.writable,
      value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
    });
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
    var desc = {};
    Object['ke' + 'ys'](descriptor).forEach(function (key) {
      desc[key] = descriptor[key];
    });
    desc.enumerable = !!desc.enumerable;
    desc.configurable = !!desc.configurable;

    if ('value' in desc || desc.initializer) {
      desc.writable = true;
    }

    desc = decorators.slice().reverse().reduce(function (desc, decorator) {
      return decorator(target, property, desc) || desc;
    }, desc);

    if (context && desc.initializer !== void 0) {
      desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
      desc.initializer = undefined;
    }

    if (desc.initializer === void 0) {
      Object['define' + 'Property'](target, property, desc);
      desc = null;
    }

    return desc;
  }

  function _initializerWarningHelper(descriptor, context) {
    throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
  }

  var _dec, _class, _desc, _value, _class2, _descriptor;

  var NavBar = exports.NavBar = (_dec = (0, _aureliaFramework.customElement)('nav-bar'), _dec(_class = (_class2 = function NavBar() {
    _classCallCheck(this, NavBar);

    _initDefineProp(this, 'router', _descriptor, this);
  }, (_descriptor = _applyDecoratedDescriptor(_class2.prototype, 'router', [_aureliaFramework.bindable], {
    enumerable: true,
    initializer: null
  })), _class2)) || _class);
});
define('startup/features',['exports', '../environment'], function (exports, _environment) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.configureFeatures = configureFeatures;

    var _environment2 = _interopRequireDefault(_environment);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    function configureFeatures(aurelia, globalConfig) {
        aurelia.use.feature('resources');
    }
});
define('startup/plugins',['exports', '../environment'], function (exports, _environment) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.configurePlugins = configurePlugins;

  var _environment2 = _interopRequireDefault(_environment);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function configurePlugins(aurelia, globalConfig) {
    if (_environment2.default.testing) {
      aurelia.use.plugin('aurelia-testing');
    }

    aurelia.use.plugin('aurelia-syncfusion-bridge', function (syncfusion) {
      return syncfusion.useAll();
    }).plugin('aurelia-animator-css');
  }
});
define('startup/resources',['exports', '../environment'], function (exports, _environment) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });
    exports.configureResources = configureResources;

    var _environment2 = _interopRequireDefault(_environment);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    function configureResources(aurelia, globalConfig) {
        if (_environment2.default.testing) {
            aurelia.use.globalResources([]);
        }
    }
});
define('startup/routes',['exports'], function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = [{
    route: ['', 'welcome'],
    name: 'welcome',
    moduleId: 'viewmodels/welcome',
    nav: true,
    title: 'Welcome'
  }, { route: 'syncfusion', name: 'syncfusion', moduleId: 'viewmodels/syncfusion', nav: true, title: 'Grid' }, { route: 'boostrap', name: 'boostrap', moduleId: 'viewmodels/boostrap', nav: true, title: 'Drawer' }];
});
define('startup/_polyfills',[], function () {
  "use strict";
});
define('startup/_startup',['exports', '../environment', './plugins', './features', './resources', 'aurelia-framework', '../services/logger', '../services/errorhandler', './_polyfills'], function (exports, _environment, _plugins, _features, _resources, _aureliaFramework, _logger, _errorhandler) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Startup = undefined;

  var _environment2 = _interopRequireDefault(_environment);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  _aureliaFramework.LogManager.addAppender(new _logger.CustomLogAppender());

  Promise.config({
    warnings: {
      wForgottenReturn: false
    }
  });

  var Startup = exports.Startup = function () {
    function Startup() {
      _classCallCheck(this, Startup);
    }

    _createClass(Startup, [{
      key: 'init',
      value: function init(aurelia) {
        _errorhandler.UndandledErrorHandler.init();

        var t = this;
        t.aurelia = aurelia;

        t.aurelia.use.standardConfiguration();

        if (_environment2.default.debug) {
          _aureliaFramework.LogManager.setLevel(_aureliaFramework.LogManager.logLevel.debug);
        }

        if (_environment2.default.testing) {
          aurelia.use.plugin('aurelia-testing');
        }

        (0, _features.configureFeatures)(t.aurelia);
        (0, _plugins.configurePlugins)(t.aurelia);
        (0, _resources.configureResources)(t.aurelia);

        aurelia.start().then(function () {
          return aurelia.setRoot('layouts/layout-main');
        });
      }
    }]);

    return Startup;
  }();
});
define('viewmodels/boostrap',["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var Boostrap = exports.Boostrap = function () {
    function Boostrap() {
      _classCallCheck(this, Boostrap);
    }

    _createClass(Boostrap, [{
      key: "attached",
      value: function attached() {
        $("#navigationPane").ejNavigationDrawer({ enableListView: true, targetId: "target" });
      }
    }]);

    return Boostrap;
  }();
});
define('viewmodels/notfound',["exports"], function (exports) {
  "use strict";

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var Notfound = exports.Notfound = function Notfound() {
    _classCallCheck(this, Notfound);
  };
});
define('viewmodels/syncfusion',['exports'], function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var Syncfusion = exports.Syncfusion = function () {
    function Syncfusion() {
      _classCallCheck(this, Syncfusion);

      this.gridData = [{
        OrderID: 10248, CustomerID: 'VINET', EmployeeID: 5,
        OrderDate: new Date(8364186e5), Freight: 32.38
      }, {
        OrderID: 10249, CustomerID: 'TOMSP', EmployeeID: 6,
        OrderDate: new Date(836505e6), Freight: 11.61
      }, {
        OrderID: 10250, CustomerID: 'HANAR', EmployeeID: 4,
        OrderDate: new Date(8367642e5), Freight: 65.83
      }, {
        OrderID: 10251, CustomerID: 'VICTE', EmployeeID: 3,
        OrderDate: new Date(8367642e5), Freight: 41.34
      }, {
        OrderID: 10252, CustomerID: 'SUPRD', EmployeeID: 4,
        OrderDate: new Date(8368506e5), Freight: 51.3
      }];
    }

    _createClass(Syncfusion, [{
      key: 'recordClick',
      value: function recordClick(e) {}
    }]);

    return Syncfusion;
  }();
});
define('viewmodels/welcome',['exports'], function (exports) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  var _createClass = function () {
    function defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) descriptor.writable = true;
        Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    return function (Constructor, protoProps, staticProps) {
      if (protoProps) defineProperties(Constructor.prototype, protoProps);
      if (staticProps) defineProperties(Constructor, staticProps);
      return Constructor;
    };
  }();

  var Welcome = exports.Welcome = function () {
    function Welcome() {
      _classCallCheck(this, Welcome);

      this.heading = 'Welcome to the Aurelia Navigation App!';
      this.firstName = 'John';
      this.lastName = 'Doe';
      this.previousValue = this.fullName;
    }

    _createClass(Welcome, [{
      key: 'submit',
      value: function submit() {
        this.previousValue = this.fullName;
      }
    }, {
      key: 'canDeactivate',
      value: function canDeactivate() {
        if (this.fullName !== this.previousValue) {
          return confirm('Are you sure you want to leave?');
        }
      }
    }, {
      key: 'fullName',
      get: function get() {
        return this.firstName + ' ' + this.lastName;
      }
    }]);

    return Welcome;
  }();

  var UpperValueConverter = exports.UpperValueConverter = function () {
    function UpperValueConverter() {
      _classCallCheck(this, UpperValueConverter);
    }

    _createClass(UpperValueConverter, [{
      key: 'toView',
      value: function toView(value) {
        return value && value.toUpperCase();
      }
    }]);

    return UpperValueConverter;
  }();
});
define('text!layouts/layout-main.html', ['module'], function(module) { module.exports = "<template>\n\n  <require from=\"bootstrap/css/bootstrap.css\"></require>\n  <require from=\"sass/index.css\"></require>\n  <require from=\"./nav-bar\"></require>\n\n\n\n  <nav-bar router.bind=\"router\"></nav-bar>\n\n  <div class=\"page-host\">\n    <br>\n    <br>\n    <router-view></router-view>\n  </div>\n</template>\n"; });
define('text!layouts/nav-bar.html', ['module'], function(module) { module.exports = "<template>\n\n  <nav class=\"navbar navbar-expand-md navbar-dark bg-dark fixed-top\">\n    <a class=\"navbar-brand\" href=\"#\">Navbar</a>\n    <button class=\"navbar-toggler\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarsExampleDefault\"\n            aria-controls=\"navbarsExampleDefault\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n      <span class=\"navbar-toggler-icon\"></span>\n    </button>\n\n    <div class=\"collapse navbar-collapse\" id=\"navbarsExampleDefault\">\n      <ul class=\"navbar-nav mr-auto\">\n        <ul class=\"nav navbar-nav\">\n          <li class=\"loader\" if.bind=\"router.isNavigating\">\n            <i class=\"fa fa-spinner fa-spin fa-2x\"></i>\n          </li>\n        </ul>\n        <li repeat.for=\"row of router.navigation\" class=\"nav-item ${row.isActive ? 'active' : ''}\">\n          <a class=\"nav-link\" href.bind=\"row.href\">${row.title}</a>\n        </li>\n\n      </ul>\n      <form class=\"form-inline my-2 my-lg-0\">\n        <input class=\"form-control mr-sm-2\" type=\"text\" placeholder=\"Search\" aria-label=\"Search\">\n        <button class=\"btn btn-outline-success my-2 my-sm-0\" type=\"submit\">Search</button>\n      </form>\n    </div>\n  </nav>\n\n</template>\n\n\n\n"; });
define('text!sass/fonts.css', ['module'], function(module) { module.exports = "@font-face {\n  font-family: Roboto-Light;\n  font-style: normal;\n  font-weight: 300;\n  src: local(\"Roboto Light\"), local(\"Roboto-Light\"), url(fonts/Roboto-Light.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto;\n  font-style: normal;\n  font-weight: 400;\n  src: local(\"Roboto\"), local(\"Roboto-Regular\"), url(fonts/Roboto-Regular.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-Medium;\n  font-style: normal;\n  font-weight: 500;\n  src: local(\"Roboto Medium\"), local(\"Roboto-Medium\"), url(fonts/Roboto-Medium.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-Bold;\n  font-style: normal;\n  font-weight: 700;\n  src: local(\"Roboto Bold\"), local(\"Roboto-Bold\"), url(fonts/Roboto-Bold.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-ThinItalic;\n  font-weight: 300;\n  src: local(\"Roboto ThinItalic\"), local(\"Roboto-ThinItalic\"), url(fonts/Roboto-ThinItalic.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: AguafinaScript-Regular;\n  font-weight: 300;\n  src: local(\"AguafinaScript Regular\"), local(\"AguafinaScript-Regular\"), url(fonts/AguafinaScript-Regular.ttf) format(\"truetype\"); }\n"; });
define('text!viewmodels/boostrap.html', ['module'], function(module) { module.exports = "<template>\n<section>\n  <div id=\"navigationPane\">\n    <ul>\n      <li data-ej-text=\"Home\"></li>\n      <li data-ej-text=\"Profile\"></li>\n      <li data-ej-text=\"Photos\"></li>\n      <li data-ej-text=\"Location\"></li>\n    </ul>\n  </div>\n  <div class=\"navi\">\n    <div id=\"target\" class=\"icon-target\"> Drawer</div>\n  </div>\n</section>\n  <style>\n    [class*=\"icon-\"] {\n      background-image: url(\"../../navigationdrawer/drawericon.png\");\n    }\n\n    .icon-target {\n      background-position: 0 -338px;\n      font-size: 34px;\n      height: 48px;\n      position: absolute;\n      text-indent: 50px;\n      top: -3px;\n      width: 48px;\n      z-index: 3;\n    }\n\n    .navi {\n      background: none repeat scroll 0 0 #C4C4B4;\n      color: #fff;\n      height: 45px;\n      padding-left: 5px;\n      width: 100%;\n    }\n\n    body {\n      background: none repeat scroll 0 0 #ece9d8;\n    }\n  </style>\n</template>\n"; });
define('text!viewmodels/notfound.html', ['module'], function(module) { module.exports = "<template>\n  <section class=\"au-animate\">\n   Page not found! <i class=\"glyphicon glyphicon-remove\"></i>\n  </section>\n</template>\n"; });
define('text!sass/index.css', ['module'], function(module) { module.exports = "/* Mixins */\n@font-face {\n  font-family: Roboto-Light;\n  font-style: normal;\n  font-weight: 300;\n  src: local(\"Roboto Light\"), local(\"Roboto-Light\"), url(fonts/Roboto-Light.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto;\n  font-style: normal;\n  font-weight: 400;\n  src: local(\"Roboto\"), local(\"Roboto-Regular\"), url(fonts/Roboto-Regular.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-Medium;\n  font-style: normal;\n  font-weight: 500;\n  src: local(\"Roboto Medium\"), local(\"Roboto-Medium\"), url(fonts/Roboto-Medium.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-Bold;\n  font-style: normal;\n  font-weight: 700;\n  src: local(\"Roboto Bold\"), local(\"Roboto-Bold\"), url(fonts/Roboto-Bold.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: Roboto-ThinItalic;\n  font-weight: 300;\n  src: local(\"Roboto ThinItalic\"), local(\"Roboto-ThinItalic\"), url(fonts/Roboto-ThinItalic.ttf) format(\"truetype\"); }\n\n@font-face {\n  font-family: AguafinaScript-Regular;\n  font-weight: 300;\n  src: local(\"AguafinaScript Regular\"), local(\"AguafinaScript-Regular\"), url(fonts/AguafinaScript-Regular.ttf) format(\"truetype\"); }\n\nbody {\n  margin: 0; }\n\n.splash {\n  text-align: center;\n  margin: 10% 0 0 0;\n  box-sizing: border-box; }\n\n.splash .message {\n  font-size: 72px;\n  line-height: 72px;\n  text-shadow: rgba(0, 0, 0, 0.5) 0 0 15px;\n  text-transform: uppercase;\n  font-family: \"Helvetica Neue\", Helvetica, Arial, sans-serif; }\n\n.splash .fa-spinner {\n  text-align: center;\n  display: inline-block;\n  font-size: 72px;\n  margin-top: 50px; }\n\n.page-host {\n  position: absolute;\n  left: 0;\n  right: 0;\n  top: 50px;\n  bottom: 0;\n  overflow-x: hidden;\n  overflow-y: auto; }\n\n@media print {\n  .page-host {\n    position: absolute;\n    left: 10px;\n    right: 0;\n    top: 50px;\n    bottom: 0;\n    overflow-y: inherit;\n    overflow-x: inherit; } }\n\nsection {\n  margin: 0 20px; }\n\n.navbar-nav li.loader {\n  margin: 12px 24px 0 6px; }\n\n.pictureDetail {\n  max-width: 425px; }\n\n/* animate page transitions */\nsection.au-enter-active {\n  -webkit-animation: fadeInRight 1s;\n  animation: fadeInRight 1s; }\n\ndiv.au-stagger {\n  /* 50ms will be applied between each successive enter operation */\n  -webkit-animation-delay: 50ms;\n  animation-delay: 50ms; }\n\n.card-container.au-enter {\n  opacity: 0; }\n\n/* animation definitions */\n@-webkit-keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    -webkit-transform: translate3d(100%, 0, 0);\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    -webkit-transform: none;\n    transform: none; } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    -webkit-transform: translate3d(100%, 0, 0);\n    -ms-transform: translate3d(100%, 0, 0);\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    -webkit-transform: none;\n    -ms-transform: none;\n    transform: none; } }\n\n@-webkit-keyframes fadeIn {\n  0% {\n    opacity: 0; }\n  100% {\n    opacity: 1; } }\n\n@keyframes fadeIn {\n  0% {\n    opacity: 0; }\n  100% {\n    opacity: 1; } }\n"; });
define('text!sass/mixins.css', ['module'], function(module) { module.exports = "/* Mixins */\n"; });
define('text!viewmodels/syncfusion.html', ['module'], function(module) { module.exports = "<template>\n  <require from=\"syncfusion-javascript/Content/ej/web/ej.widgets.core.bootstrap.min.css\"></require>\n  <require from=\"syncfusion-javascript/Content/ej/web/bootstrap-theme/ej.theme.min.css\"></require>\n  <require from=\"syncfusion-javascript/Content/ej/web/responsive-css/ej.responsive.css\"></require>\n  <div>\n    <ej-grid e-data-source.two-way=\"gridData\" e-allow-paging=true e-allow-sorting=true e-on-record-click.delegate=\"recordClick($event.detail)\">\n      <ej-column e-field=\"OrderID\" e-header-text=\"Order ID\" e-text-align=\"right\"></ej-column>\n      <ej-column e-field=\"CustomerID\" e-header-text=\"Customer ID\"></ej-column>\n      <ej-column e-field=\"EmployeeID\" e-header-text=\"Employee ID\" e-text-align=\"right\"></ej-column>\n      <ej-column e-field=\"Freight\" e-header-text=\"Freight\" e-format=\"{0:C}\" e-text-align=\"right\"></ej-column>\n      <ej-column e-field=\"OrderDate\" e-header-text=\"Order Date\" e-format=\"{0:MM/dd/yyyy}\" e-text-align=\"right\"></ej-column>\n    </ej-grid>\n  </div>\n</template>\n"; });
define('text!sass/splash.css', ['module'], function(module) { module.exports = "body {\n  margin: 0; }\n\n.splash {\n  text-align: center;\n  margin: 10% 0 0 0;\n  box-sizing: border-box; }\n\n.splash .message {\n  font-size: 72px;\n  line-height: 72px;\n  text-shadow: rgba(0, 0, 0, 0.5) 0 0 15px;\n  text-transform: uppercase;\n  font-family: \"Helvetica Neue\", Helvetica, Arial, sans-serif; }\n\n.splash .fa-spinner {\n  text-align: center;\n  display: inline-block;\n  font-size: 72px;\n  margin-top: 50px; }\n\n.page-host {\n  position: absolute;\n  left: 0;\n  right: 0;\n  top: 50px;\n  bottom: 0;\n  overflow-x: hidden;\n  overflow-y: auto; }\n\n@media print {\n  .page-host {\n    position: absolute;\n    left: 10px;\n    right: 0;\n    top: 50px;\n    bottom: 0;\n    overflow-y: inherit;\n    overflow-x: inherit; } }\n\nsection {\n  margin: 0 20px; }\n\n.navbar-nav li.loader {\n  margin: 12px 24px 0 6px; }\n\n.pictureDetail {\n  max-width: 425px; }\n\n/* animate page transitions */\nsection.au-enter-active {\n  -webkit-animation: fadeInRight 1s;\n  animation: fadeInRight 1s; }\n\ndiv.au-stagger {\n  /* 50ms will be applied between each successive enter operation */\n  -webkit-animation-delay: 50ms;\n  animation-delay: 50ms; }\n\n.card-container.au-enter {\n  opacity: 0; }\n\n/* animation definitions */\n@-webkit-keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    -webkit-transform: translate3d(100%, 0, 0);\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    -webkit-transform: none;\n    transform: none; } }\n\n@keyframes fadeInRight {\n  0% {\n    opacity: 0;\n    -webkit-transform: translate3d(100%, 0, 0);\n    -ms-transform: translate3d(100%, 0, 0);\n    transform: translate3d(100%, 0, 0); }\n  100% {\n    opacity: 1;\n    -webkit-transform: none;\n    -ms-transform: none;\n    transform: none; } }\n\n@-webkit-keyframes fadeIn {\n  0% {\n    opacity: 0; }\n  100% {\n    opacity: 1; } }\n\n@keyframes fadeIn {\n  0% {\n    opacity: 0; }\n  100% {\n    opacity: 1; } }\n"; });
define('text!viewmodels/welcome.html', ['module'], function(module) { module.exports = "<template>\n  <section class=\"au-animate\">\n    <h2>${heading}</h2>\n    <form role=\"form\" submit.delegate=\"submit()\">\n      <div class=\"form-group\">\n        <label for=\"fn\">First Name</label>\n        <input type=\"text\" value.bind=\"firstName\" class=\"form-control\" id=\"fn\" placeholder=\"first name\">\n      </div>\n      <div class=\"form-group\">\n        <label for=\"ln\">Last Name</label>\n        <input type=\"text\" value.bind=\"lastName\" class=\"form-control\" id=\"ln\" placeholder=\"last name\">\n      </div>\n      <div class=\"form-group\">\n        <label>Full Name</label>\n        <p class=\"help-block\">${fullName | upper}</p>\n      </div>\n      <ul class=\"list-group\">\n        <li class=\"list-group-item list-group-item-success\">Font Awesome check <i class=\"fa fa-flag-o\"></i></li>\n        <li class=\"list-group-item\">\n          <button type=\"submit\" class=\"btn btn-primary\" data-toggle=\"modal\" data-target=\"#myModal\">\n            Submit\n          </button>\n        </li>\n      </ul>\n\n      <!-- Modal -->\n      <div class=\"modal fade\" id=\"myModal\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\">\n        <div class=\"modal-dialog\" role=\"document\">\n          <div class=\"modal-content\">\n            <div class=\"modal-header\">\n              <button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\"><span aria-hidden=\"true\">&times;</span></button>\n              <h4 class=\"modal-title\" id=\"myModalLabel\">${previousValue}</h4>\n            </div>\n            <div class=\"modal-footer\">\n              <button type=\"button\" class=\"btn btn-success\" data-dismiss=\"modal\">Close</button>\n            </div>\n          </div>\n        </div>\n      </div>\n\n    </form>\n    <br>\n\n  </section>\n</template>\n"; });
define('text!sass/variables.css', ['module'], function(module) { module.exports = "/* Base Layout */\n/* Base colors */\n/* Theme colors */\n/* Treeview colors */\n/* Sidebar colors */\n/* Topbar colors */\n"; });
//# sourceMappingURL=app-bundle.js.map